<?php 
    //QUERY PARA LOS USUARIOS RUT DATALIST.
    $sql_niveles = "SELECT * FROM niveles WHERE estado = 'Activo'";
    $querynivelnombre = mysqli_query($con, $sql_niveles);
    //QUERY PARA LOS USUARIOS CORREO DATALIST.
    /*$sql_usuarios_correo = "SELECT * FROM usuario WHERE id_sucursal = '$id_sucursal_usuario' AND estado <> 'Eliminado'";
    $queryusuarios_correo = mysqli_query($con, $sql_usuarios_correo);

    //LISTADO DE SUCURSALES
    $sql_sucursal = "SELECT * FROM sucursal";
    $querysucursal = mysqli_query($con, $sql_sucursal);*/
?>
<script type="text/javascript">
        function puntomil() {
            const monto_matricula = document.getElementById("monto_matricula");
            const monto_mensualidad = document.getElementById("monto_mensualidad");
            let valor = monto_matricula.value.replace(/[.]/g, '') || '0'; 
            monto_matricula.value = valor.replace(/^0+(?=\d)/, '').replace(/\B(?=(\d{3})+(?!\d))/g, '.');

            let valor2 = monto_mensualidad.value.replace(/[.]/g, '') || '0'; 
            monto_mensualidad.value = valor2.replace(/^0+(?=\d)/, '').replace(/\B(?=(\d{3})+(?!\d))/g, '.');
        }
</script>
<datalist name="list_niveles" id="list_niveles" class="col-12 bg-white list_niveles" hidden>
                                            <?php while ($row_niveles = mysqli_fetch_assoc($querynivelnombre)) {
                                                        
                                            ?>
                                                <option value="<?php echo $row_niveles['nombre_nivel'];?>"></option>
                                            <?php }mysqli_free_result($querynivelnombre); ?>
                                            </datalist>
<!-- SUB FORMULARIO PARA REGISTRAR CLIENTE DENTRO DEL FORMULARIO RECEPCION  -->
<div class="modal fade" id="registroUsuario" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered modal-lg" role="document"> <!-- Agregamos modal-lg para hacerlo más grande -->
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Registrar Nuevo Nivel</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body ">
        <!-- Formulario -->
        <form class="user" id="registroForm">
          <!-- Cliente (datos relevantes) -->
            <div class="form-group row div-container">   
                                                <div class="col-sm-3 form-floating form-label-inside input-div">
                                                    <input type="text" class="form-control" id="nombre" name="nombre" placeholder=" ">
                                                    <label for="nombre" class="col-sm-12">Nombre Nivel</label>
                                                </div>
                                                <div class="col-sm-3 form-floating form-label-inside input-div">
                                                    <input type="text" class="form-control" oninput="puntomil()" id="monto_matricula" name="monto_matricula" placeholder=" ">
                                                    <label for="monto_matricula" class="col-sm-12">Monto Matrícula</label>
                                                </div>
                                                <div class="col-sm-3 form-floating form-label-inside input-div">
                                                    <input type="text" class="form-control" oninput="puntomil()" id="monto_mensualidad" oninput="formatCliente(this)" name="monto_mensualidad" placeholder="" maxlength="12">
                                                    <label for="monto_mensualidad" class="col-sm-12">Monto Mensualidad</label>
                                                </div>
                                                <div class="col-sm-3 form-floating form-label-inside input-div">
                                                    <input type="text" class="form-control" maxlength="3" id="cantidad_mensual" name="cantidad_mensual" placeholder=" ">
                                                    <label for="cantidad_mensual" class="col-sm-12">Cantidad Mensualidades</label>
                                                </div>
            </div>      <br>      
          <!-- Botones para guardar y cerrar el formulario 
            QUITÉ EL ONCLICK, PARA FUNCIONAMIENTO, AGREGAR ONCLICK FUNCTION.-->
          <div class="form-group d-flex justify-content-center align-items-center"><br>
            <button type="button" class="btn btn-primary form-control" id="guardarBtn" style="margin: 5px;" onclick="registrarNivel()">Registrar Nuevo Nivel</button>
            <button type="button" class="btn btn-secondary form-control" style="margin: 5px;" data-bs-dismiss="modal">Cerrar</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
<script>
function registrarNivel() {
    document.getElementById("guardarBtn").disabled = true;
  //var nombre_tecnico = document.getElementById("nombre").value;
  var nombre = $('#nombre').val();
  var monto_matricula = $('#monto_matricula').val();
  var monto_mensualidad = $('#monto_mensualidad').val();
  var cantidad_mensual = $('#cantidad_mensual').val();
            if (nombre === "") {
                Swal.fire({
                  title: "Error",
                  text: "Por favor ingrese el nombre del Nivel.",
                  icon: "warning",
                  confirmButtonColor: "#2a3042",
                  confirmButtonText: "Aceptar"                  
                });
                document.getElementById("guardarBtn").disabled = false;
                return false; //para cortar o simmplemente detener el recorrido del script.                
            }
            if (monto_matricula == "") {
                Swal.fire({
                  title: "Error",
                  text: "Por favor ingrese monto de la matrícula para este Nivel.",
                  icon: "warning",
                  confirmButtonColor: "#2a3042",
                  confirmButtonText: "Aceptar"                  
                });
                document.getElementById("guardarBtn").disabled = false;
                return false;
                
            }   
            if (monto_mensualidad == "") {
                Swal.fire({
                  title: "Error",
                  text: "Por favor ingrese monto de la mensualidad para este Nivel.",
                  icon: "warning",
                  confirmButtonColor: "#2a3042",
                  confirmButtonText: "Aceptar"                  
                });
                document.getElementById("guardarBtn").disabled = false;
                return false;
            }     
            if (cantidad_mensual == "") {
                Swal.fire({
                  title: "Error",
                  text: "Por favor ingrese la cantidad de las mensualidades para este Nivel.",
                  icon: "warning",
                  confirmButtonColor: "#2a3042",
                  confirmButtonText: "Aceptar"                  
                });
                document.getElementById("guardarBtn").disabled = false;
                return false;
            }            
  var datalist_niveles = document.getElementById("list_niveles").options; //RUTS DE TODOS LOS USUARIOS REGISTRADOS.
  for (var i = 0; i < datalist_niveles.length; i++) {  
        if (datalist_niveles[i].value == nombre && datalist_niveles[i].value != "") { 
            Swal.fire({
                  title: "Oops",
                  text: "El nombre del nivel ya se encuentra registrado. Favor ingresar otro nombre.",
                  icon: "warning",
                  confirmButtonColor: "#2a3042",
                  confirmButtonText: "Aceptar"                  
                });
            document.getElementById("guardarBtn").disabled = false;
            return false; // RUT repetido ya existente
            
        }  
  }
  $.ajax({
    type: 'POST',
    url: 'registro_nivel.php', // Nombre del archivo PHP para procesar el formulario
    data: {
      nombre: nombre,
      monto_matricula: monto_matricula,
      monto_mensualidad: monto_mensualidad,
      cantidad_mensual: cantidad_mensual
    },
    success: function(response) {
      // Procesar la respuesta del servidor, por ejemplo, mostrar un mensaje de éxito o error.
      //alert(response);
      var responseData = response.split("success");
      // Obtener el ID del usuario
      //var id_usuario = responseData[0];

      if (responseData.length > 1) {
        // Si la respuesta es "success", el registro fue exitoso
        Swal.fire({
            title: "Registro exitoso",
            text: "El Nivel fue registrado correctamente",
            icon: "success",
            confirmButtonColor: "#2a3042",
            confirmButtonText: "Aceptar"
        }).then((result) => {
            if (result.isConfirmed) {
                $('#registrarNivel').modal('hide');
                $('#nombre').val('');
                $('#monto_matricula').val('');
                $('#monto_mensualidad').val('');
                $('#cantidad_mensual').val('');
                document.getElementById("guardarBtn").disabled = false;
                location.reload();
            }
        });
      } else {
        // Si la respuesta no es "success", el registro falló
        Swal.fire({
            title: "Error",
            text: response,
            icon: "error",
            confirmButtonColor: "#2a3042",
            confirmButtonText: "Aceptar"
        });
        //location.reload();
      }
      // Cerrar el modal después de guardar la marca.
      //$('#registroCliente').modal('close');
    }
  });
}
</script>